AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 7.5This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Returns enrich coordinator statistics and information about enrich policies that are currently executing.
Objects containing information about each coordinating ingest node for configured enrich processors.
executed_searches_totalnumberrequired
node_idstringrequired
queue_sizenumberrequired
remote_requests_currentnumberrequired
remote_requests_totalnumberrequired
executing_policiesobject[]required
Objects containing information about each enrich policy that is currently executing.
namestringrequired
taskobjectrequired
actionstringrequired
cancelledboolean
cancellablebooleanrequired
descriptionstring
Human readable text that identifies the particular request that the task is performing.
For example, it might identify the search request being performed by a search task.
Other kinds of tasks have different descriptions, like _reindex which has the source and the destination, or _bulk which just has the number of requests and the destination indices.
Many requests will have only an empty description because more detailed information about the request is not easily available or particularly helpful in identifying the request.
headersmapstring to stringrequired
idnumberrequired
nodestringrequired
running_timeuniononeOf
Values:-10
running_time_in_nanosnumberrequired
start_time_in_millisnumberrequired
statusobject
The internal status of the task, which varies from task to task.
The format also varies.
While the goal is to keep the status for a particular task consistent from version to version, this is not always possible because sometimes the implementation changes.
Fields might be removed from the status for a particular request so any parsing you do of the status might break in minor releases.
typestringrequired
parent_task_idstring
original_task_idstring
The task ID of the original task. Only present when the task is continuing the work of an earlier task that was running on a node which has since shut down (i.e. a relocatable task).
For tasks that have not been relocated this is always equal to the task's own ID and is omitted from the response.
original_start_time_in_millisnumber
The time at which the original task started, in milliseconds since the Unix epoch. Only present together with original_task_id.
original_start_timestring
The time at which the original task started, as an ISO 8601 formatted string. Only present together with original_task_id and when the request includes the ?human=true query parameter.
cache_statsobject[]The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 7.16This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Objects containing information about the enrich cache stats on each ingest node.